﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace PowerTriggersWcf
{
    public interface IPowerTriggersEvents
    {
        [OperationContract(IsOneWay = true)]
        void HistoryChanged(HistoryData history);
    }


    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IService1" in both code and config file together.
    [ServiceContract(Namespace = "http://PWTWcf", CallbackContract = typeof(IPowerTriggersEvents), SessionMode=SessionMode.Required)]
    public interface IPowerTriggersWcfCallback
    {
        [OperationContract]
        void SubscribeHistoryChangedEvent();

        [OperationContract]
        void UnsubscribeHistoryChangedEvent();

        [OperationContract(IsOneWay = true)]
        void RequestHistoryCallback();
    }

}
